Bug 723687 - spice-client: update to upstream spice 0.8.2
spice-client: update to upstream spice 0.8.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Uri Lublin
Desktop QE
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-20 15:40 EDT by Uri Lublin
Modified: 2011-12-06 10:22 EST (History)
4 users (show)

See Also:
Fixed In Version: spice-client-0.8.2-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 10:22:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uri Lublin 2011-07-20 15:40:15 EDT
Description of problem:
client changes (from 0.8.1 to 0.8.2):
  653545: client: rename connect_unsecure to connect_to_peer #653545
  674532: client: fix for redundant shift+f11 RHBZ #674532
  710461: [client] x11: don't return freed memory from get_clipboard #710461
  712938: client: don't crash when agent is missing WAN support
  712941: client: improve WAN option description
  667689: client: fix flipped video in Linux guest on windows client, RHBZ #667689
  696964: client: fix return code when missing host
  no bz:  Fix windows spicec --version
           - client/windows: init PACKAGE_VERSION

  Cleanup [server + client]:
    client: fix return code when missing host
    server/smartcard: fix use after free
    server/red_channel: error channel if alloc_msg_buf fails
    server/red_channel: fix segfault on red_channel_destroy if peer already removed
    [server + client] common/gl: remove unused variable
    [client] gl: remove unused variables
    [client] gl: use correct pixman accessor for image data
    [server + client] common/pixman: remove dead assignments
    server/tests remove useless assignment
    client: s/reqired/required in CmdLineParser
    [server + client] spice.proto: Fill.rop_descriptor type s/uint16/ropd (10x atiti)
    [server + client] common: add extern "C" guards to headers
    [server + client] add missing "LGPLv2.1 or later" header to source files
    [server + client] common: spice_memdup could accept NULL
    server: Unset executable bit of red_tunnel_worker.h
    client: match delete[] with new[]
    [server] s/__visible__/SPICE_GNUC_VISIBLE
    [server + client] use foo(void) instead of foo() in prototypes
    server: replace redundant code with red_cursor_reset
    server/red_worker: handle_dev_input: reuse write_ready introduced for async

  Additional Cleanup [server + client]
    [client] Fixes compilation error of Spice Client (Linux/X11) with OpenGL enabled
    [client] build: s/HUGE/INFINITY/
    server/tests: Makefile.am: use AM_LDFLAGS instead of LDFLAGS
    [server + client] build: alsa is needed on linux only.
    [server + client] build: only check for x11 extensions when building for x11
    [server + client] build: make it silent
    [client] opengl: fix compilation
    client: use silent generation rules in Makefile.am
    [server + client] configure.ac: fix use of AC_ARG_ENABLE
    [server + client] configure.ac: remove unused dynamic linkage flag
    [server + client] configure.ac: replace tab with spaces

  non rhel required changes (windows client or python code generation scripts):
    python_modules/codegen.py: fix indent error in an unused function
    client/windows: use SPICE_PROTOCOL_DIR in project include dirs
    client/windows: undef SIZE_MAX in stdint.h
    client/windows: enable image randomization (ASLR) rhbz#701111
    add check for pyparsing


client changes (from 0.8.0 to 0.8.1):
  client: skip spaces in --host-subject (freedesktop.org #32896)
  client: add --version cmdline option to spicec (freedesktop.org #33907)
  client: s/AVAILIBLE/AVAILABLE in CmdLineParser
  spicec-x11: Work around a bug in xsel
  spicec-x11: Don't crash on apps sending bad atoms as TARGETS (fedora #690214)
  723567: client/smartcard: handle the --smartcard-db option #723567

  Already released spice-client-0.8.0-2.el6:
  675767: client: Don't handle hotkeys while sticky alt is active #675767
Comment 5 David Jaša 2011-10-14 11:30:24 EDT
VERIFIED as of 2011-10-14
Comment 6 errata-xmlrpc 2011-12-06 10:22:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1518.html

Note You need to log in before you can comment on or make changes to this bug.